Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.rtf.rtflib.rtfdoc
Interface IRtfTextContainer

All Known Subinterfaces:
  IRtfHyperLinkContainer

All Known Implementing Classes:
  RtfHyperLink, RtfParagraph

public interface IRtfTextContainer

Interface for RtfElements that can contain RtfText elements

Author:
  Bertrand Delacretaz bdelacretaz@codeconsult.ch

Method Summary
`RtfAttributes` | `getTextContainerAttributes()` Text containers usually provide default attributes for all texts that they contain.
`void` | `newLineBreak()` Add a line break
`RtfText` | `newText(java.lang.String str)` Close current text run, if any, and start a new one with default attributes
`RtfText` | `newText(java.lang.String str, RtfAttributes attr)` Close current text element, if any, and start a new one

Method Detail

### newText

    public RtfText newText(java.lang.String str,
                           RtfAttributes attr)
                    throws java.io.IOException

  Close current text element, if any, and start a new one

  Parameters:
    `str` - if not null, added to the RtfText created
    `attr` - attributes for text
  Returns:
    new text object
  Throws:
    `java.io.IOException` - for I/O problems

### newText

    public RtfText newText(java.lang.String str)
                    throws java.io.IOException

  Close current text run, if any, and start a new one with default attributes

  Parameters:
    `str` - if not null, added to the RtfText created
  Returns:
    a new text object
  Throws:
    `java.io.IOException` - for I/O problems

### newLineBreak

    public void newLineBreak()
                      throws java.io.IOException

  Add a line break

  Throws:
    `java.io.IOException` - for I/O problems

### getTextContainerAttributes

    public RtfAttributes getTextContainerAttributes()

  Text containers usually provide default attributes for all texts that they contain.

  Returns:
    a copy of the container's attributes.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.